pages:
  image: node:16
  script:
    - npm install
    - npm run build -- --base=/javascript/projects/react-pages-vite-demo
    - mv dist public
    - cp public/index.html public/404.html
  artifacts:
    paths:
      - public
  only:
    - master
